Skip to content

List Pipelines

GET/api/v2/pipelines

List the pipelines in a project, newest first.

Query ParametersExpand Collapse
name: optional string
organization_id: optional string
page_size: optional number
page_token: optional string
pipeline_type: optional "MANAGED" or "PLAYGROUND"
One of the following:
"MANAGED"
"PLAYGROUND"
project_id: optional string
Cookie ParametersExpand Collapse
session: optional string
ReturnsExpand Collapse
items: array of object { id, name, pipeline_type, 4 more }

The list of items.

id: string

The pipeline’s unique identifier.

name: string

The pipeline’s display name.

pipeline_type: "MANAGED" or "PLAYGROUND"

The pipeline’s type.

One of the following:
"MANAGED"
"PLAYGROUND"
project_id: string

The project the pipeline belongs to.

created_at: optional string

Creation datetime

formatdate-time
status: optional "CREATED" or "DELETING"

The pipeline’s current status.

One of the following:
"CREATED"
"DELETING"
updated_at: optional string

Update datetime

formatdate-time
next_page_token: optional string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

total_size: optional number

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

List Pipelines

curl https://api.cloud.llamaindex.ai/api/v2/pipelines \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "pipeline_type": "MANAGED",
      "project_id": "project_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "status": "CREATED",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "pipeline_type": "MANAGED",
      "project_id": "project_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "status": "CREATED",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/